/* rexx */

options results                             /* enable return codes     */

if (left(address(), 6) ~= "GOLDED") then    /* not started by GoldEd ? */

    address 'GOLDED.1'

'LOCK CURRENT RELEASE=4'                    /* lock GUI, gain access   */

if (RC ~= 0) then

    exit

options failat 6                            /* ignore warnings         */

signal on syntax                            /* ensure clean exit       */

/* ---------------------- INSERT YOUR CODE HERE ---------------------- */

'QUERY CAT'

if (RESULT = "deutsch") then do

    STRING.sCOMPLETING   = "Vervollstndigung der Installation der C/C++-Erweiterung..."
    STRING.sGENEARTESKIP = "!ERZEUGEN|berspringen"
end
else do

    STRING.sCOMPLETING   = "Completing installation of C/C++ add-on..."
    STRING.sGENEARTESKIP = "!GENERATE|Skip this step"
end

'REQUEST STATUS="' || STRING.sCOMPLETING || '"'

'IMAGES VALIDATE'

/* set default options for macros (if unset) */

'QUERY OPTIONFOLDMARKERS'

if (RESULT = "") then

    'SET OPTIONFOLDMARKERS="FALSE"'

'QUERY OPTIONCOMMENT'

if (RESULT = "") then

    'SET OPTIONCOMMENT="TRUE"'

'QUERY OPTIONBROWSER'

if (RESULT = "") then

    'SET OPTIONBROWSER="TRUE"'

/* activate c mode (cache images for toolbar) */

'SET TYPE="*.c"'

/* reset container sizes */

'API UNDEF'

/* exit c mode */

'TYPE RESET'

'PREFS GLOBAL SAVE FORCE'

'REQUEST STATUS=""'

/* ------------------------- END OF YOUR CODE ------------------------ */

'UNLOCK'                                    /* unlock GUI              */

exit

SYNTAX:

SAY "Error in line" SIGL ":" ERRORTEXT(RC)

'UNLOCK'
