; install new presets (%0%: language, %1%: syntax configuration %2%: dictionary configuration)

:shared

INSTALL PRESET="presets/c++-asm.syntax"
INSTALL PRESET="presets/c++-autodoc.syntax"
INSTALL PRESET="presets/c++-makefile.syntax"
INSTALL PRESET="presets/c++.api"
INSTALL PRESET="presets/c++.context"
INSTALL PRESET="presets/c++.references"
INSTALL PRESET="presets/c++.templates"
INSTALL PRESET="presets/c++.hunter"
INSTALL PRESET="presets/c++.structure"
INSTALL PRESET="presets/c++-header.structure"
INSTALL PRESET="presets/c++-autodoc.structure"
INSTALL PRESET="presets/c++-asm.structure"
INSTALL PRESET="presets/%1%/c++.syntax"
INSTALL PRESET="presets/%2%/c++.dictionary"

:sas-c

INSTALL PRESET="presets/compilers/sas-c/sas.keyboard"
INSTALL PRESET="presets/compilers/sas-c/sas.api"
INSTALL PRESET="presets/compilers/sas-c/%0%/sas.gadgets"
INSTALL PRESET="presets/compilers/sas-c/%0%/sas.menu"
INSTALL PRESET="presets/compilers/sas-c/%0%/sas.mouse"

FILETYPE ADD="#?.(c|cc|cpp|ccp|c++)"          PRI=127 PRESETS "c++.structure"         "c++.hunter" "c++.templates" "sas.api" "c++.syntax"          "c++.dictionary" "c++.context" "c++.references" "sas.keyboard" "sas.gadgets" "sas.menu" "sas.mouse" NAME="SAS/C"
FILETYPE ADD="#?.(h|hh|hpp|hhp|h++)"          PRI=127 PRESETS "c++-header.structure"  "c++.hunter" "c++.templates" "sas.api" "c++.syntax"          "c++.dictionary" "c++.context" "c++.references" "sas.keyboard" "sas.gadgets" "sas.menu" "sas.mouse" NAME="SAS/C (Header)"
FILETYPE ADD="#?.doc"                         PRI=127 PRESETS "c++-autodoc.structure" "c++.hunter"                 "sas.api" "c++-autodoc.syntax"  "c++.dictionary" "c++.context" "c++.references" "sas.keyboard" "sas.gadgets" "sas.menu" "sas.mouse" NAME="SAS/C (Autodoc)"
FILETYPE ADD="#?.(a|asm|ass|i|s)"             PRI=127 PRESETS "c++-asm.structure"     "c++.hunter"                 "sas.api" "c++-asm.syntax"      "c++.dictionary"               "c++.references" "sas.keyboard" "sas.gadgets" "sas.menu" "sas.mouse" NAME="SAS/C (A68K)"
FILETYPE ADD="(makefile#?|smakefile)"         PRI=127 PRESETS                         "c++.hunter"                 "sas.api" "c++-makefile.syntax"                                "c++.references" "sas.keyboard" "sas.gadgets" "sas.menu" "sas.mouse" NAME="SAS/C (Makefile)"

:vbcc

INSTALL PRESET="presets/compilers/vbcc/vbcc.keyboard"
INSTALL PRESET="presets/compilers/vbcc/%0%/vbcc.gadgets"
INSTALL PRESET="presets/compilers/vbcc/%0%/vbcc.menu"

FILETYPE ADD="#?.(c|cc|cpp|ccp|c++)"          PRI=127 PRESETS "c++.structure"         "c++.hunter" "c++.templates" "c++.api" "c++.syntax"         "c++.dictionary" "c++.context" "c++.references" "vbcc.keyboard" "vbcc.gadgets" "vbcc.menu" NAME="vbcc"
FILETYPE ADD="#?.(h|hh|hpp|hhp|h++)"          PRI=127 PRESETS "c++-header.structure"  "c++.hunter" "c++.templates" "c++.api" "c++.syntax"         "c++.dictionary" "c++.context" "c++.references" "vbcc.keyboard" "vbcc.gadgets" "vbcc.menu" NAME="vbcc (Header)"
FILETYPE ADD="#?.doc"                         PRI=127 PRESETS "c++-autodoc.structure" "c++.hunter"                 "c++.api" "c++-autodoc.syntax" "c++.dictionary" "c++.context" "c++.references" "vbcc.keyboard" "vbcc.gadgets" "vbcc.menu" NAME="vbcc (Autodoc)"
FILETYPE ADD="#?.(a|asm|ass|i|s)"             PRI=127 PRESETS "c++-asm.structure"     "c++.hunter"                 "c++.api" "c++-asm.syntax"     "c++.dictionary"               "c++.references" "vbcc.keyboard" "vbcc.gadgets" "vbcc.menu" NAME="vbcc (A68K)"
FILETYPE ADD="(makefile#?)"                   PRI=127 PRESETS                         "c++.hunter"                 "c++.api" "c++-makefile.syntax"                               "c++.references" "vbcc.keyboard" "vbcc.gadgets" "vbcc.menu" NAME="vbcc (Makefile)"

:gcc

INSTALL PRESET="presets/compilers/gcc/gcc.keyboard"
INSTALL PRESET="presets/compilers/gcc/%0%/gcc.gadgets"
INSTALL PRESET="presets/compilers/gcc/%0%/gcc.menu"

FILETYPE ADD="#?.(c|cc|cpp|ccp|c++)"          PRI=127 PRESETS "c++.structure"         "c++.hunter" "c++.templates" "c++.api" "c++.syntax"         "c++.dictionary" "c++.context" "c++.references" "gcc.keyboard" "gcc.gadgets" "gcc.menu" NAME="gcc"
FILETYPE ADD="#?.(h|hh|hpp|hhp|h++)"          PRI=127 PRESETS "c++-header.structure"  "c++.hunter" "c++.templates" "c++.api" "c++.syntax"         "c++.dictionary" "c++.context" "c++.references" "gcc.keyboard" "gcc.gadgets" "gcc.menu" NAME="gcc (Header)"
FILETYPE ADD="#?.doc"                         PRI=127 PRESETS "c++-autodoc.structure" "c++.hunter"                 "c++.api" "c++-autodoc.syntax" "c++.dictionary" "c++.context" "c++.references" "gcc.keyboard" "gcc.gadgets" "gcc.menu" NAME="gcc (Autodoc)"
FILETYPE ADD="#?.(a|asm|ass|i|s)"             PRI=127 PRESETS "c++-asm.structure"     "c++.hunter"                 "c++.api" "c++-asm.syntax"     "c++.dictionary"               "c++.references" "gcc.keyboard" "gcc.gadgets" "gcc.menu" NAME="gcc (A68K)"
FILETYPE ADD="(makefile#?)"                   PRI=127 PRESETS                         "c++.hunter"                 "c++.api" "c++-makefile.syntax"                               "c++.references" "gcc.keyboard" "gcc.gadgets" "gcc.menu" NAME="gcc (Makefile)"

:stormc

INSTALL PRESET="presets/compilers/stormc/stormc.keyboard"
INSTALL PRESET="presets/compilers/stormc/stormc.api"
INSTALL PRESET="presets/compilers/stormc/%0%/stormc.gadgets"
INSTALL PRESET="presets/compilers/stormc/%0%/stormc.menu"

FILETYPE ADD="#?.(c|cc|cpp|ccp|c++)"          PRI=127 PRESETS "c++.structure"         "c++.hunter" "c++.templates" "stormc.api" "c++.syntax"         "c++.dictionary" "c++.context" "c++.references" "stormc.keyboard" "stormc.gadgets" "stormc.menu" NAME="StormC"
FILETYPE ADD="#?.(h|hh|hpp|hhp|h++)"          PRI=127 PRESETS "c++-header.structure"  "c++.hunter" "c++.templates" "stormc.api" "c++.syntax"         "c++.dictionary" "c++.context" "c++.references" "stormc.keyboard" "stormc.gadgets" "stormc.menu" NAME="StormC (Header)"
FILETYPE ADD="#?.doc"                         PRI=127 PRESETS "c++-autodoc.structure" "c++.hunter"                 "stormc.api" "c++-autodoc.syntax" "c++.dictionary" "c++.context" "c++.references" "stormc.keyboard" "stormc.gadgets" "stormc.menu" NAME="StormC (Autodoc)"
FILETYPE ADD="#?.(a|asm|ass|i|s)"             PRI=127 PRESETS "c++-asm.structure"     "c++.hunter"                 "stormc.api" "c++-asm.syntax"     "c++.dictionary"               "c++.references" "stormc.keyboard" "stormc.gadgets" "stormc.menu" NAME="StormC (A68K)"
FILETYPE ADD="(makefile#?)"                   PRI=127 PRESETS                         "c++.hunter"                 "stormc.api" "c++-makefile.syntax"                               "c++.references" "stormc.keyboard" "stormc.gadgets" "stormc.menu" NAME="StormC (Makefile)"

:generic

INSTALL PRESET="presets/compilers/generic/c++.keyboard"
INSTALL PRESET="presets/compilers/generic/%0%/c++.gadgets"
INSTALL PRESET="presets/compilers/generic/%0%/c++.menu"

FILETYPE ADD="#?.(c|cc|cpp|ccp|c++)"          PRI=127 PRESETS "c++.structure"         "c++.hunter" "c++.templates" "c++.api"  "c++.syntax"         "c++.dictionary" "c++.context" "c++.references" "c++.keyboard" "c++.gadgets" "c++.menu" NAME="C/C++"
FILETYPE ADD="#?.(h|hh|hpp|hhp|h++)"          PRI=127 PRESETS "c++-header.structure"  "c++.hunter" "c++.templates" "c++.api"  "c++.syntax"         "c++.dictionary" "c++.context" "c++.references" "c++.keyboard" "c++.gadgets" "c++.menu" NAME="C/C++ (Header)"
FILETYPE ADD="#?.doc"                         PRI=127 PRESETS "c++-autodoc.structure" "c++.hunter"                 "c++.api"  "c++-autodoc.syntax" "c++.dictionary" "c++.context" "c++.references" "c++.keyboard" "c++.gadgets" "c++.menu" NAME="C/C++ (Autodoc)"
FILETYPE ADD="#?.(a|asm|ass|i|s)"             PRI=127 PRESETS "c++-asm.structure"     "c++.hunter"                 "c++.api"  "c++-asm.syntax"     "c++.dictionary"               "c++.references" "c++.keyboard" "c++.gadgets" "c++.menu" NAME="C/C++ (A68K)"
FILETYPE ADD="(makefile#?|dmakefile)"         PRI=127 PRESETS                         "c++.hunter"                 "c++.api"  "c++-makefile.syntax"                               "c++.references" "c++.keyboard" "c++.gadgets" "c++.menu" NAME="C/C++ (Makefile)"

:uninstall

UNINSTALL FILETYPE="SAS/C"
UNINSTALL FILETYPE="SAS/C [(]Header[)]"
UNINSTALL FILETYPE="SAS/C [(]Autodoc[)]"
UNINSTALL FILETYPE="SAS/C [(]A68K[)]"
UNINSTALL FILETYPE="SAS/C [(]Makefile[)]"

UNINSTALL FILETYPE="vbcc"
UNINSTALL FILETYPE="vbcc [(]Header[)]"
UNINSTALL FILETYPE="vbcc [(]Autodoc[)]"
UNINSTALL FILETYPE="vbcc [(]A68K[)]"
UNINSTALL FILETYPE="vbcc [(]Makefile[)]"

UNINSTALL FILETYPE="gcc"
UNINSTALL FILETYPE="gcc [(]Header[)]"
UNINSTALL FILETYPE="gcc [(]Autodoc[)]"
UNINSTALL FILETYPE="gcc [(]A68K[)]"
UNINSTALL FILETYPE="gcc [(]Makefile[)]"

UNINSTALL FILETYPE="StormC"
UNINSTALL FILETYPE="StormC [(]Header[)]"
UNINSTALL FILETYPE="StormC [(]Autodoc[)]"
UNINSTALL FILETYPE="StormC [(]A68K[)]"
UNINSTALL FILETYPE="StormC [(]Makefile[)]"

UNINSTALL FILETYPE="C/C++"
UNINSTALL FILETYPE="C/C++ [(]Header[)]"
UNINSTALL FILETYPE="C/C++ [(]Autodoc[)]"
UNINSTALL FILETYPE="C/C++ [(]A68K[)]"
UNINSTALL FILETYPE="C/C++ [(]Makefile[)]"

UNINSTALL BASEDIR="golded:add-ons/c++/"
UNINSTALL BASEDIR="golded:etc/images/toolbar/c++/"
UNINSTALL BASEDIR="golded:etc/updates/envCPP/"
